# Created by pyp2rpm-3.3.0
%global pypi_name pymdown-extensions

Name:           python-%{pypi_name}
Version:        3.5
Release:        5%{?dist}
Summary:        Extension pack for Python Markdown

# Most of the package is MIT, three files (extrarawhtml.py, highlight.py and
# superfences.py are BSD
License:        MIT and BSD
URL:            https://github.com/facelessuser/pymdown-extensions
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(markdown) < 3
BuildRequires:  python2dist(markdown) >= 2.6.0
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2-pyyaml
BuildRequires:  python2-pytest

%description
PyMdown Extensions (pymdownx) is a collection of extensions for Python
Markdown_. It should work for Python Markdown versions 2.6.0 and greater.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(markdown) < 3
Requires:       python2dist(markdown) >= 2.6.0


%description -n python2-%{pypi_name}
PyMdown Extensions (pymdownx) is a collection of extensions for Python
Markdown_. It should work for Python Markdown versions 2.6.0 and greater.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py2_build


%install
%py2_install


%check
%{__python2} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python2_sitelib}/pymdownx
%{python2_sitelib}/pymdown_extensions-%{version}-py?.?.egg-info

%changelog
* Wed Apr 11 2018 Stephen Gallagher <sgallagh@redhat.com> - 3.5-5
- First official Fedora build

* Wed Apr 11 2018 Stephen Gallagher <sgallagh@redhat.com> - 3.5-4
- Update license information

* Wed Apr 04 2018 Stephen Gallagher <sgallagh@redhat.com> - 3.5-1
- Initial package.
